DefaultLoanBroker (Mule ESB 2.2.1 API)
Keywords: org.mule.example.loanbroker.DefaultLoanBroker class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.example.loanbroker
Class DefaultLoanBroker

    java.lang.Object
      org.mule.example.loanbroker.DefaultLoanBroker

All Implemented Interfaces:
  LoanBrokerService

Direct Known Subclasses:
  AsynchronousLoanBroker, SynchronousLoanBroker

    public class DefaultLoanBroker

extends Object
implements LoanBrokerService

`LoanBroker` is the Service that starts the loan request process. The broker also receives the final quote.

Field Summary
`protected Log` | `logger` logger used by this class

Constructor Summary
`DefaultLoanBroker()`

Method Summary
`Object` | `getLoanQuote(CustomerQuoteRequest request)` Triggered by an incoming customer request for a loan.
`protected int` | `incProfiles()`
`protected int` | `incQuotes()`
`protected int` | `incRequests()`
`Object` | `receiveCreditProfile(CreditProfile profile)`
`Customer` | `receiveCustomer(Customer customer)`
`LoanBrokerQuoteRequest` | `receiveLoanBrokerQuoteRequest(LoanBrokerQuoteRequest request)`
`Object` | `receiveQuote(LoanQuote quote)` Triggered by an incoming offer from a bank.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final Log logger

  logger used by this class

Constructor Detail

### DefaultLoanBroker

    public DefaultLoanBroker()

Method Detail

### getLoanQuote

    public Object getLoanQuote(CustomerQuoteRequest request)
                        throws LoanBrokerException

  Description copied from interface: `LoanBrokerService`
  Triggered by an incoming customer request for a loan.

  Specified by:
    `getLoanQuote` in interface `LoanBrokerService`
  Returns:
    Outgoing payload will depend on the implementation
  Throws:
    `LoanBrokerException`

### receiveLoanBrokerQuoteRequest

    public LoanBrokerQuoteRequest receiveLoanBrokerQuoteRequest(LoanBrokerQuoteRequest request)

### receiveCustomer

    public Customer receiveCustomer(Customer customer)

### receiveCreditProfile

    public Object receiveCreditProfile(CreditProfile profile)

### receiveQuote

    public Object receiveQuote(LoanQuote quote)

  Description copied from interface: `LoanBrokerService`
  Triggered by an incoming offer from a bank.

  Specified by:
    `receiveQuote` in interface `LoanBrokerService`
  Returns:
    Outgoing payload will depend on the implementation

### incQuotes

    protected int incQuotes()

### incRequests

    protected int incRequests()

### incProfiles

    protected int incProfiles()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.